Skip to main content
GET
/
indexer
/
tx
/
v1
/
evm-txs
/
{tx_hash}
Get EVM transaction by hash
curl --request GET \
  --url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/{tx_hash}
import requests

url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/{tx_hash}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/{tx_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tx": {
    "blockHash": "<string>",
    "blockNumber": "<string>",
    "contractAddress": "<string>",
    "cumulativeGasUsed": "<string>",
    "effectiveGasPrice": "<string>",
    "from": "<string>",
    "gasUsed": "<string>",
    "logs": [
      {
        "address": "<string>",
        "topics": [
          "<string>"
        ],
        "data": "<string>",
        "blockNumber": "<string>",
        "transactionHash": "<string>",
        "transactionIndex": "<string>",
        "blockHash": "<string>",
        "logIndex": "<string>",
        "removed": true
      }
    ],
    "logsBloom": "<string>",
    "status": "<string>",
    "to": "<string>",
    "transactionHash": "<string>",
    "transactionIndex": "<string>",
    "type": "<string>"
  }
}

Path Parameters

tx_hash
string
required

The transaction hash.

Response

Successful response

tx
object